﻿/* Generated with Author-it 6.2.1.28268  11/3/2016 12:43:34 PM */
Page=new Array();Page[0]=new Array("P6 Enterprise Project Portfolio Management (EPPM) is a robust and easy-to-use integrated solution for globally prioritizing, planning, managing, and executing projects, programs, and portfolios.","This document outlines an estimate of hardware and software requirements for deploying P6 EPPM. Three deployment scenarios are considered &#8211; small, medium, and large &#8211; and recommendations for each type are provided. These recommendations should only be considered as guidance for planning product deployment.","The following assumptions are made in this document:","A highly available environment is desired.","Database-specific best practices for high availability, backup, and recovery are being followed.","Software and hardware load balancing specifics are beyond the scope of this document. ","Overview of the Performance and Sizing Guide","61480.htm");
Page[1]=new Array("P6 EPPM is a Java 2 Platform, Enterprise Edition (J2EE platform) web application. The J2EE platform consists of a set of industry-standard services, APIs, and protocols that provide functionality for developing multi-tiered, web-based, enterprise applications. The division of tiers enables the application to scale according to customers&#8217; performance demands. P6 EPPM uses the J2EE specification to build a flexible and scalable cross-platform solution.","The main layers of P6 EPPM are:","The application layer &#8211; A web server layer rendering JSPs, JavaScript, Applets, and so on to present a feature-rich user interface accessible through supported browsers.","The functional layer &#8211; A J2EE application server forms the middle tier where all business logic for P6 EPPM is implemented. This layer runs the business logic for both P6 and P6 Services.","The database layer &#8211;The database layer consists of a standalone or clustered RDBMS environment utilizing Java Database Connectivity (JDBC) to integrate with the functional layer.","The following image provides an overview of the P6 EPPM architecture.","P6 EPPM resides on an application server, and the application data repository resides on the database server.","Typical P6 EPPM deployments consist of the following components:","A clustered web server load balanced using a load balancing router or software solution. End-users, including administrators, interact with P6 through these web servers.","A clustered J2EE application server on which P6 EPPM is deployed.","RDBMS as a data repository for P6 EPPM. Depending on the dataset size, the database server can be a standalone or clustered server. In the following sample architecture, the database is clustered. For optimized performance, Oracle recommends that the application servers and RDBMS are co-located, for example, within the same subnet, to avoid network latency.","The following illustrates a sample P6 EPPM deployment.","Architecture Overview","61481.htm");
Page[2]=new Array("While there are multiple ways to achieve the desired performance and scalability levels in P6 EPPM, the performance considerations can be grouped into two categories: vertical and horizontal. There are several advantages (and disadvantages) for each category. Organizations can decide which to use, based on:","The desired level of performance","Availability requirements","Short-term versus long-term outlook of system usage","Seasonality and frequently used application areas","Performance and Scalability Considerations","61482.htm");
Page[3]=new Array("Vertical scaling involves adding additional resources, or upgrading resources on an existing system. Vertical scaling is usually a good approach if the application bottlenecks are processor and memory-related.","Vertical Scaling (Scaling up)","61483.htm");
Page[4]=new Array("The objects (such as Projects, Activities, Assignments, etc.) are stored in the Java Virtual Machine (JVM) heap allocation. Most of these objects are short-lived and are periodically cleaned up by the JVM&#8217;s garbage collection mechanism. As the number of objects increases, performance and scalability is affected by the available heap space in the JVM. Increasing the heap size is an easy way to achieve desired performance and scalability.","JVM Heap Size","61484.htm");
Page[5]=new Array("Desired performance and scalability can also be achieved by upgrading the CPU, adding extra cores, and upgrading to faster I/O devices. Oracle requires 64-bit hardware.","Hardware Upgrade","61485.htm");
Page[6]=new Array("The desired performance level can also be achieved by upgrading to latest versions of the operating system and installing the latest patch updates. Oracle requires the 64-bit version.","While vertical scaling is easier to achieve, it does not address availability completely. If the desired level of availability is high, then vertical scaling alone will not be sufficient.","Operating System Upgrade","61486.htm");
Page[7]=new Array("As the demand for applications grows, additional nodes can be added to an existing application server cluster to handle the increased system load. For high availability requirements,  horizontal scaling is the better option.","The following figure explains a scaling out deployment.","Horizontal Scaling (Scaling out)","61487.htm");
Page[8]=new Array("As the usage of applications grows within the organization, adding additional server nodes is the best way to achieve required performance and scalability. If the organization&#8217;s model exhibits seasonality or periodic variations, the system load will fluctuate accordingly. For example, the average load on the system may quadruple during month end closing, or the plant may be closed for a week every quarter for maintenance. Adding or removing application server nodes should be considered to manage seasonality. To mitigate risk of degraded performance and undesired downtime, it is crucial to understand the business cycles of the organization and to plan for the required level of performance, availability, and scalability.","Application server nodes can be added in two ways in a deployment.","Adding Application Server Nodes","61488.htm");
Page[9]=new Array("In case the application starts behaving slowly, given the fact that memory and CPU resources on the hardware are not exhausted, it is a good idea to implement vertical clustering wherein two or more than two nodes of application resides on same physical server. Following figure depicts vertical clustering.","Vertical Clustering","79164.htm");
Page[10]=new Array("When the application shows signs of slowness and the hardware resources of the server (Memory and CPU) are also exhausted, it is a good idea to add another server and install a P6 instance on that server. Horizontal Clustering is depicted in Horizantal Scaling (Scaling out) section of this document. For high availability scenarios Oracle recommends horizontal clustering in production systems. A mix of horizontal and vertical clustering is recommended for large deployments.","Note: While creating application clusters, the Administrators should monitor the Database server performance. If performance worsens, they should tune the database or upgrade the hardware.","Horizontal Clustering","79165.htm");
Page[11]=new Array("Database server scaling options are available and have been widely adopted and implemented. Database clustering enables multiple nodes in a clustered system to mount and open a single database that resides on shared disk storage. This configuration provides high availability in the database environment. One example of database clustering is Oracle Real Application Clusters (RAC).","Database Scaling and Clustering","61489.htm");
Page[12]=new Array("P6 EPPM performance depends on the load and the response characteristics of each tier. Performance-affecting factors are identified and discussed in the following sections. These factors should be considered during deployment planning.","Deployment Considerations","61490.htm");
Page[13]=new Array("The number of concurrent users accessing the system directly affects web client performance. Performance is also affected by the web browser being used and the activities performed within each user session (for example, Activity Gantt, Resource Planning, Scheduling, Leveling, Summarizing, Reporting, and so on). Concurrent users and their system activities largely affect the CPU and memory requirements of the application server.","P6 Client","61491.htm");
Page[14]=new Array("P6 EPPM server is a J2EE application that uses J2EE technologies to interact with end-users, target systems, the database repository, etc. Following are some components of server operation that need to be considered during P6 EPPM sizing.","P6 Server","61492.htm");
Page[15]=new Array("This service process can run as a standalone application for better performance and scalability, and it is platform independent. Services are responsible for executing real-time and scheduled application jobs. The following application areas are processed as jobs:","Summarizer","Scheduler","Leveler","Publications","Update Baseline","Add/Create Baseline","Apply Actual","Copy/Paste Project","Export Project XER","Import Project XML","Export Project XML","Services are capable of processing large number of projects, activities, and resource assignments. The number of concurrent jobs greatly affects the CPU, memory requirements of the application server, and load on the database servers.","For medium to large deployments, Oracle recommends setting up a dedicated application server node for services. This application server should not be part of the cluster that processes HTTP requests from the web client. In addition, Oracle recommends turning off services on the application servers in the cluster that are serving web client requests. Adding more dedicated application server nodes for services (horizontally scaling) can address increased performance requirements.","For long-running jobs, Oracle recommends job scheduling off-peak hours. For example, scheduling a job to run when the load on the system is low.","For the initial run of Publication Services, after installing or upgrading P6, Oracle recommends off-peak hours. For example, run Publication Services over the weekend.","For heavily data-intensive jobs (such as summarizing an entire EPS), Oracle recommends sequential, rather than concurrent scheduling. For example, do not schedule two large EPS summarization jobs to run at the same time.","Consider the following while planning for infrastructure for job services.","Heap usage increases as the number of activities increases.","Garbage collection overhead on the application server may increase as the thread count increases. Thread count can increase as the result of high throughput.","Oracle recommends that you use a minimum of 4 GB Java heap (Xmx) for the optimum performance of job services.","Database server utilization increases as thread count increases.","A high number of threads does not guarantee high throughput. The number of threads should be configured to a break-even value between throughput and server utilizations.","For more information on P6 Services, see http://www.oracle.com/webfolder/technetwork/tutorials/primavera/OnlineLearning/WhitePapers/P6JobServicesPerformanceTuning.pdf.","P6 Services","61493.htm");
Page[16]=new Array("The following factors could impact the response time and resources for Publication:","Number of activities/assignments","Length of project","Length of publication date range","Length of activities/assignments","Number of financial periods","Publication","61494.htm");
Page[17]=new Array("The Activity Gantt feature can load up to 100,000 activities.","The following factors could impact the response of the Activity Gantt feature:","Number of activities/assignments","Number of activity relationships","Number of open projects","Project length","Depth of WBS hierarchy","Activities/assignments length","Amount of client-side memory allocated to the JRE and applets","Other load on the application server","Activity Gantt","61495.htm");
Page[18]=new Array("The following factors could impact the response time of the Resource Management feature:","Number of resources","Number of resource assignments to activities","Number of open projects","Filter usage","Project length","Depth of WBS hierarchy","Amount of client-side memory allocated to the JRE and applets","Other load on the application server","Resource Management","61496.htm");
Page[19]=new Array("The following factors could impact the response of the Risk feature:","Number of risks","Number of activity assignments to risk","Number of open projects","Number of risk scoring matrix assignments","Number of response plan assignments","Amount of client side memory allocated to the JRE and applets","Other load on the application server","Risks","61497.htm");
Page[20]=new Array("The P6 EPPM Web Services platform employs web-based technology to handle requests from external programs. External client programs use P6 EPPM Web Services by creating a request and sending it to the application server using SOAP (Simple Object Access Protocol). Having received the request, P6 EPPM uses the appropriate business logic required to service the request. The client application does not need to understand the semantics of this processing. Responses or requests from P6 EPPM simply follow the same path in reverse.","P6 EPPM Web Services can be divided into four categories:","Business Object Based Services (CRUD operations)","Job Services","Spread Services","Import and Export Services","Many data set characteristics can impact the performance of P6 EPPM Web Services. All requests should make use of meaningful filters to reduce the amount of data returned by the service. Other factors that can affect the performance of P6 EPPM Web Services are:","System usage &#8211; P6 features in use","Environment","Level of hardwareP6 EPPM Web Services","P6 EPPM Web Services","61498.htm");
Page[21]=new Array("You can scale your database servers. Database clustering enables multiple nodes in a clustered system to mount and open a single database that resides on shared disk storage. This configuration provides high availability in the database environment. One example of database clustering is Oracle Real Application Clusters (RAC).","Database Scaling and Clustering","94077.htm");
Page[22]=new Array("The following configuration is recommended for:","Organizations that that have the intended usage levels of a small deployment, which is described in Deployment Categories. ","Setting up a pilot with the intent of moving to a medium or large deployment category. ","Achieving the desired performance and scalability for your deployment.","Note:This configuration does not address high availability because it includes a single point of failure.","P6 - Application Server Configuration","CPU","64 bit, 2 Core @ 2.90GHz, Intel Xeon E5 2690 (HTT) or equivalent","Memory","8 GB","Java Heap","6 GB","Storage","100 GB","Operating System","Oracle Enterprise Linux (OEL) 64-bit, Windows Server 64-bit","P6 Team Member - Application Server Configuration","CPU","64 bit, 2 Core @ 2.90GHz, Intel Xeon E5 2690 (HTT) or equivalent","Memory","8 GB","Java Heap","6 GB","Storage","100 GB","Operating System","Oracle Enterprise Linux (OEL) 64-bit, Windows Server 64-bit","P6 EPPM Web Services / P6 Integration API - Application Server Configuration","CPU","64 bit, 1 Core @ 2.90GHz, Intel Xeon E5 2690 (HTT) or equivalent","Memory","4 GB","Java Heap (P6 EPPM Web Services)","2 GB","Java Heap (P6 Integration API)","1 GB","Storage","40 GB","Operating System","Oracle Enterprise Linux (OEL) 64-bit, Windows Server 64-bit","P6 Services - Application Server Configuration ","CPU","64 bit, 1 Core @ 2.90GHz, Intel Xeon E5 2690 (HTT) or equivalent","Memory","8 GB","Java Heap","6 GB","Storage","80 GB","Operating System","Oracle Enterprise Linux (OEL) 64-bit, Windows Server 64-bit","P6 Professional Cloud Connect - Application Server Configuration ","CPU","64 bit, 1 Core @ 2.90GHz, Intel Xeon E5 2690 (HTT) or equivalent","Memory","8 GB","Java Heap","6 GB","Storage","40 GB","Operating System","Oracle Enterprise Linux (OEL) 64-bit, Windows Server 64-bit","Database Server Configuration","CPU","64 bit, 3 Cores @ 2.90GHz, Intel Xeon E5 2690 (HTT) or equivalent","Memory","16 GB","SGA/PGA","70% of RAM","Storage","500 GB","Operating System","Oracle Enterprise Linux (OEL) 64-bit, Windows Server 64-bit","Oracle HTTP Server (OHS) Configuration","CPU","64 bit, 1 Core @ 2.90GHz, Intel Xeon E5 2690 (HTT) or equivalent","Memory","4 GB","Storage","40 GB","Operating System","Oracle Enterprise Linux (OEL) 64-bit, Windows Server 64-bit","Note: The recommended OHS configuration supports the large deployment category and any smaller deployment categories. Follow standard OHS best practices to accommodate the resource demands of deployments with greater load levels than the large deployment category. For more information about deployment categories see: Deployment Categories.","P6 Professional - Desktop","CPU","Intel(R) Core(TM) i5-5300U CPU @ 2.30GHz, 2301 Mhz, 2 Core(s), 4 Logical Processor(s) or equivalent","Memory","4 GB (minimum), 8GB (recommended)","Storage","20 GB (minimum)","Operating System","Windows 10, Windows 8.1, Windows 7 (SP1) 64-bit","Recommended Configurations","93013.htm");
Page[23]=new Array("P6 EPPM deployments can be classified into three categories (small, medium, and large). The following table includes the criteria used to classify P6 EPPM deployments.","Attributes","Small Deployment","Medium Deployment","Large Deployment","Number of Named Users","&lt; 250","251 - 750 ","751 - 1500","Maximum Concurrent Users (with an average of 20 seconds think time)","50","100","200","Number of Projects","250","1,000","5,000","Number of Activities","100,000","1,000,000","5,000,000","Number of Activities per Project","7,500","25,000","75,000","Number of Resources","500","1,000","4,000","Number of Resource Assignments","100,000","1,000,000","5,000,000","Number of Resource Assignments per Project","5,000","10,000","25,000","Number of Risks","100","500","2,500","These attributes influence the hardware and software specifications during P6 EPPM deployments. The following section outlines server and storage requirements for the above defined deployment categories.","Notes:","Named users have an account with the system, but may not be logged in. ","Concurrent users are logged in to the system and actively interact with the system.","Think time is the 20-second interval between interactions.","Hardware sizing is based on the maximum number of concurrent users for each deployment category.","For optimal system performance, Oracle highly recommends that you deploy P6 EPPM on 64-bit architecture. 64&#8211;bit architecture includes 64-bit hardware, 64-bit operating system, 64-bit application servers, and databases deployments using a 64-bit Java JDK. The sizing described in this document is based on 64-bit architecture.","Deployment Categories","61499.htm");
Page[24]=new Array("Considering the recommended configurations described in Recommended Configurations, Oracle recommends that you scale your configuration to achieve the desired application scalability, performance, and availability.","P6 - Application Server Configuration","Considerations","Small","Medium","Large","Instances","1 x 6 GB Heap","2 x 6 GB Heap","4 x 6 GB Heap","CPU scaling factor","1x","1.5x","3x","Memory","7.5GB","15GB","28GB","P6 Team Member - Application Server Configuration","Considerations","Small","Medium","Large","Instances","1 x 6 GB Heap","2 x 6 GB Heap","4 x 6 GB Heap","CPU scaling factor","1x","1.5x","3x","Memory","7.5GB","15GB","28GB","P6 EPPM Web Services / P6 Integration API - Application Server Configuration","Considerations","Small","Medium","Large","P6 Web Services Instances","1 x 2GB Heap","1 x 5GB Heap","2 x 4 GB Heap","Integration API Instances","1 x 1GB","1 x 1GB","2 x 1GB","CPU scaling factor","1x","2x","3x","Memory ","3.75 GB","7.5 GB","12 GB","P6 Services - Application Server Configuration ","Considerations","Small","Medium","Large","Number of instances","1 x 6GB","2 x 4GB","2 x 6 GB","CPU Scaling Factor","2x","4x","6x","Memory","7.5 GB","12 GB","16 GB","P6 Professional Cloud Connect &#8211; Application Server Configuration ","Considerations","Small","Medium","Large","Number of instances","1 x 6GB","2 x 6GB","4 x 6GB","CPU Scaling Factor","1x","1.5x","3x","Memory","7.5 GB","15 GB","28 GB","Database Server Configuration","Considerations","Small","Medium","Large","CPU Scaling Factor","1x","1.5x","3x","Memory Scaling Factor","1x","1.5x","3x","Storage Scaling Factor","1x","1.5x","3x","Note: If you use Oracle database for storing documents, you may need to increase storage space on the database server based on the expected number of documents stored.","Configurations for Deployment Scenarios","93017.htm");
Page[25]=new Array("As P6 EPPM users make requests to the P6 server using various browsers, the browsers store static content in the cache and only dynamic requests will be sent to the server.You can use the following table to estimate the amount of bandwidth that you may need for a set number of users. However, Oracle recommends that you calculate your applications' bandwidth requirements in order to better represent the number of people actually using the applications assuming varying levels of intensity.","Concurrent Users","&lt;= 10","11 - 25","26 - 50","51 - 100","101 - 150","151 - 300","Recommended Bandwidth (Mbps)","5","12","20","40","65","115","Note: ","Oracle recommends that you enable compression on the OHS server. The network bandwidth recommendations that are described above are based on compression being enabled in OHS.","The recommended bandwidth estimates take caching into consideration. First page hits to the server are not taken into consideration for bandwidth estimation. The first hit to the server produces a spike in bandwidth because all of static web components will be fetched from the server. After static content is cached, all subsequent requests contact the server for dynamic content.","You can calculate the bandwidth requirements for an application using the following process:","Calculate the weighted average of the request and compressed response payload-sizes (s) in KB considering the frequency in which your organization views pages and performs actions on them.","Calculate the bandwidth of one user regarding transmission time (n):","Bandwidth (Kbps) = (8 *s) / n","Calculate the bandwidth for a percentage (c%) of the total number of users (u) that are concurrently logged in and are using the system, assuming that think-time and server-side / client-side processing times are negligible:","Bandwidth for named users with zero think / processing time (Kbps) = (8*s*u*c%) / n","Calculate the bandwidth for a percentage (c%) of the total number of users (u) that are concurrently logged in and are using the system, including think-time (t) and server-side / client-side processing times (p):","Bandwidth for named users with think and processing time (Kbps) = (8*s*u*c%) / (n + t + p)","Tips: ","If a high number of users can access the application, use a low percentage of the total users to estimate your bandwidth. If a low number of users can access the application, use a high percentage of the total users to estimate your bandwidth.","Oracle recommends that you at least provision the bandwidth for a single user even if the value received in this step is smaller.Repeat this process for each application that you deploy.","Calculate your overall bandwidth requirement by adding the highest bandwidth estimates that you calculated for each application.","Network Bandwidth Considerations","79166.htm");
Page[26]=new Array("This document covers performance for the overall P6 EPPM configuration architecture. However, factors involved in the database setup play a very important role in performance. The following factors an impact database performance:","Hardware architecture and operating system","NIC (number of NICs, speed and duplex settings)","Number of database instances on a server (dedicated versus shared)","Disk storage system performance (I/O speed, buffer, mirroring)","Database tablespace layout and extent sizing","Table data, index, and LOB distributions on tablespaces","Table and index fill factor definition","Table auditing","Database block sizing","Connection management (dedicated versus MTS)","RAM allocations (automatic, SGA, PGA, shared pool, buffer pool)","CBO optimizer parameter configuration setting","Database table and index statistics gathering mechanism and frequency","Anti-virus software","Additional database jobs","Factors that Affect Application Performance","61513.htm");
Page[27]=new Array("The following factors can also impact the application performance:","Amount of memory available on client for browser.","Amount of heap memory available to application server&#8217;s JVM (-Xmx and other JVM heap-related settings). P6 EPPM uses 6 GB of java heap for all application servers. ","Number of worker threads configured in the application server.","Number of configured and available database connections.","Number of concurrent users logged in to an application server.","Network throughput (for example, the time it takes to download a 5 K file between application server and browser).","Network latency between browser and application server.","Number of users that will be concurrently loading data.","Number of other applications running on the application server&#8217;s CPU (CPU utilization before Unifier is installed).","Amount of I/O being performed by other applications running on application server&#8217;s CPU that shares the same NIC.","Network Bandwidth consumed by other applications, network distance (number of hops), and the network latency between the client and the server.","Number of CPUs in an application server cluster.","Configuration, Hardware, and Environmental Factors","94079.htm");
Page[28]=new Array("Some of the other actions that can also impact P6 EPPM application performance include the following:","User actions","User actions play a key role when scaling your application. When sizing a configuration, you need to understand the operations that users plan to perform. For example, if you have 200 users in the system loading activities, then you can expect the application to perform slowly. However, if you have 200 users who log in to look at different light weight operations (for example, dashboards or the ROI page) then the application will perform more quickly. Also, you must consider user roles when determining your scaling options.","Server hardware","You need to evaluate your hardware to see if it will work with the application. If the server is old, it may not handle as many users as a newer server. In some cases, the server may also be virtualized or segmented; this means there are fewer resources for the application. Consider this when planning for the number of users a configuration can handle.","Storage types","All P6 EPPM tests are executed with local disks. You can use server-side disk storage or a SAN configuration for your servers; however, a SAN configuration can be more complex for system set up. You need to ensure that the connections to the SAN are working.","Network","You must ensure your network infrastructure is up-to-date and running efficiently. The application server and the database servers must be in the same location.","Network locations of end-users","Performance can also be affected by the network location of the end user relative to the application server. Any user that has many network hops to the application server will likely experience poor performance. More hops and high latency are key factors that you need to consider when planning an installation.","Other Actions That Affect Performance","94080.htm");
Page[29]=new Array("For creating and managing business processes and workflows, P6 EPPM utilizes Oracle Business Process Management (BPM) technology. For information on hardware and sizing requirements, refer to the BPM documentation at  http://www.oracle.com/us/technologies/bpm/index.html.","Oracle BPM","61515.htm");
Page[30]=new Array("For enterprise reporting, P6 EPPM utilizes Oracle Business Intelligence Publisher (BI Publisher). For information on hardware and sizing requirements, refer to the BI Publisher documentation at http://www.oracle.com/us/solutions/ent-performance-bi/bi-publisher-066551.html.","Oracle BI Publisher","61516.htm");
Page[31]=new Array("For enhanced analytical and advanced reporting capabilities, P6 EPPM utilizes Oracle Business Intelligence Enterprise Edition (OBIEE). For information on hardware and sizing requirements, refer to the OBIEE documentation at http://www.oracle.com/us/solutions/ent-performance-bi/enterprise-edition-066546.html.","OBIEE","61517.htm");
Page[32]=new Array("For document management and collaboration, P6 EPPM can be configured to use Oracle WebCenter Content Core Capabilities (WCCC) or a CMIS-compliant content repository. For information on hardware and sizing requirements for WCCC, refer to the WCCC documentation at http://www.oracle.com/technetwork/middleware/content-management/overview/index.html.","Content Management System","61518.htm");
Page[33]=new Array("The sizing spreadsheet for BI Publisher Enterprise can be found on Oracle Support: 948841.1: How to Determine the Number of Servers Needed to Run BI Publisher Enterprise in a Production 10g or 11g Environment?","Sizing Spreadsheet for BI Publisher Enterprise","61519.htm");
Page[34]=new Array("In high latency environments, performance can be affected by the amount of data that needs to be transferred between P6 Professional and the P6 database. To optimize the amount of data that flows between P6 Professional on your desktop and the P6 server, ensure that you have a stable, wired connection to the P6 server and follow the guidelines described in the sections below.","Improving Login Performance","Login performance is affected by the amount of data that gets loaded during the login process. You can control this data by following the tips described below:","Evaluate user privilege assignments to ensure that your users have access to only relevant data. ","Remove unused global objects from the system, including unused UDFs or Code assignments.","Set the startup filters to load Current Projects Only Data and turn off loading for Resource Summary Data. ","Enabling the Welcome Dialog","Enable the Welcome dialog from User Preferences dialog box to select the project at application startup. Selecting a project at startup ensures that you do not open a project that you had not intended to open or are not required to switch to the correct project after an incorrect project loads in the application.","Note: You should only enable the Welcome dialog if you work on different projects.","To configure the Welcome dialog:","Log in to P6 Professional.","From the toolbar, select Tools and then click User Preferences.","In the Application Startup Window menu, under the Application tab, select None.","Select the Show the Welcome dialog at startup checkbox.","Exit the User Preferences dialog box.","Creating and Selecting a Portfolio with Only the Required Projects","Oracle recommends that you do not use the All Projects portfolio because it will load all the projects in the database to which the user has access. Instead, you can either create a new portfolio with your required projects or you can open the No Projects portfolio when logging in to the application.","To create a new portfolio:","Log in to P6 Professional.","From the toolbar, select Enterprise and then click Project Portfolios.","Click Add to create a new portfolio.","Add the required projects to the portfolio.","From the toolbar, select File and then click Select Project Portfolio.","Select the portfolio.","Note: Ensure EPS bands only for projects in current portfolio option is selected when opening a portfolio.","Configuring Startup Options","To configure the startup options:","Log in to P6 Professional.","From the toolbar, select Tools and then click User Preferences.","Under the Startup Filters tab, deselect the Resource Summary Data checkbox.","Select the current project data; this only applies to for Resources, Roles, OBS, Activity Codes, and Cost Accounts.","Improving Functional Performance ","When possible, use filters to reduce the amount of data that is loaded or displayed.","P6 Professional commits data whenever a new row is added. If your network or internet connection is subject to high latency, it will take longer for the data to be committed.To reduce the time it takes for your data to be committed, create a local Excel file and then import then data using XLS import. Alternatively you can use a local SQLite database to enter the data and use XML export/import to move the data to main database.","For more information about SQLite and P6 Professional, refer to P6 Professional Installation and Configuration Guide (Standalone).","Import layouts separately from projects when doing XML import. This will allow the import to run in background.","Use P6 to schedule recurring tasks like summarizer, apply actuals, scheduler, and so on, during off-peak hours.","Avoid frequently scheduling projects.","Use Refresh (F5) only when necessary because it forces P6 Professional to reload data from the server.","Using P6 Professional with P6 Professional Cloud Connect","90197.htm");
Page[35]=new Array("Following a systematic approach to evaluating, planning, and testing the architecture for your P6 EPPM deployment is the only way to assure a successful deployment. With careful examination of the performance and scalability objectives, system availability requirements, short-term versus long-term outlook of system usage, seasonality, data structure, and frequently used application areas, the appropriate hardware choices can be made early in the process.","Conclusion","79383.htm");
Page[36]=new Array("Q. How much hardware does a P6 installation require?","A description of the recommended hardware for each deployment size is described in Recommended Configurations.","Q. How much disk space does P6 require?  ","The P6 application requires little space. However, you do need enough space to run the application server software (such as WebLogic) and to keep historic log files. You must also ensure that you have the appropriate amount of disk space available on you database server. If you use Oracle Database for storing documents, you may need to increase storage space on the database server based on the expected number of documents stored.","Disk space recommendations can be found in Recommended Configurations.","Q. Do P6 Services affect performance? ","Yes. P6 Services do affect performance for the P6 application. Performance depends on the following factors of P6 Services deployment:","Hardware size","Data size","Service recurring schedules","P6 feature usage","Data change rate","Q. Should P6 Services be installed on the same server as P6 Web? ","Oracle recommends installing P6 Services on a dedicated server.","Q. Will I need more space when upgrading to the latest release with Publications from a release lower than 15.2?","Yes. The Publication feature requires additional drive space on the database. A good estimate is to calculate your currently used disk space and double it.","Q. Do I require more java heap space if my projects have large number of activities?","Heap usage varies with the size of live objects in the heap. Large objects will be created for projects having high number of activities. Oracle recommends a minimum heap size of 4GB (-Xmx4096m). However, you may want to revisit this figure and set it to larger value if the application faces memory issues while loading projects with large number of activities.","Q. How can I make P6 Services run faster? ","You can make P6 Services faster by:","Ensuring P6 Services are installed on a dedicated server. ","Separating P6 Services onto multiple servers. If performance is a concern, it is a good idea to install all global services on one server and the Project Publication Service on its own dedicated server.","Increasing default thread counts, when working with the Publication feature. This only affects the Project Service.","Verifying that the database has settings optimal for efficiency:","Enough memory","Fast disks","No other database instance running","You can find more information at http://www.oracle.com/webfolder/technetwork/tutorials/primavera/OnlineLearning/WhitePapers/P6JobServicesPerformanceTuning.pdf.","Q. Should the database be installed in a shared database environment?  ","No. Oracle recommends a dedicated database server for P6 EPPM.","Q. What is the best way to monitor performance for P6?  ","You can use Oracle Enterprise Manager to monitor many aspects of the database (Oracle database only) in addition to OS and Web Logic exposed metrics.","Q. What is considered acceptable network latency for P6? ","P6 has been tested within simulated latency environments and offers acceptable performance up to 100 ms (round-trip, browser to application server). Higher latency environments have been tested, but higher network latency results in proportionally slower response times.","Q. How much disk space will the database schema require for tablespaces?","A description of the recommended disk space for each deployment size is described in Recommended Configurations .","Q. How does P6 perform on EXA hardware?","Exalogic and Exadata are engineered systems designed to provide extreme high performance, reliability, ease-of-use and versatility. ","For medium and large deployment categories, Oracle recommends P6 on Exalogic server and Oracle database on Exadata for better performance and scalability.","Frequently Asked Questions","61521.htm");
Page[37]=new Array("EmbeddedTopicstartCopyright © 1999, 2016, Oracle and/or its affiliates. All rights reserved.<br />Oracle and Java are registered trademarks of Oracle and/or its affiliates. Other names may be trademarks of their respective owners.EmbeddedTopicend","This software and related documentation are provided under a license agreement containing restrictions on use and disclosure and are protected by intellectual property laws. Except as expressly permitted in your license agreement or allowed by law, you may not use, copy, reproduce, translate, broadcast, modify, license, transmit, distribute, exhibit, perform, publish or display any part, in any form, or by any means. Reverse engineering, disassembly, or decompilation of this software, unless required by law for interoperability, is prohibited.","The information contained herein is subject to change without notice and is not warranted to be error-free. If you find any errors, please report them to us in writing.","If this is software or related documentation that is delivered to the U.S. Government or anyone licensing it on behalf of the U.S. Government, the following notice is applicable: ","U.S. GOVERNMENT END USERS: Oracle programs, including any operating system, integrated software, any programs installed on the hardware, and/or documentation, delivered to U.S. Government end users are &#8220;commercial computer software&quot; pursuant to the applicable Federal Acquisition Regulation and agency-specific supplemental regulations. As such, use, duplication, disclosure, modification, and adaptation of the programs, including any operating system, integrated software, any programs installed on the hardware, and/or documentation, shall be subject to license terms and license restrictions applicable to the programs. No other rights are granted to the U.S. Government.","This software or hardware is developed for general use in a variety of information management applications. It is not developed or intended for use in any inherently dangerous applications, including applications that may create a risk of personal injury. If you use this software or hardware in dangerous applications, then you shall be responsible to take all appropriate failsafe, backup, redundancy, and other measures to ensure its safe use. Oracle Corporation and its affiliates disclaim any liability for any damages caused by use of this software or hardware in dangerous applications.","This software or hardware and documentation may provide access to or information on content, products and services from third-parties. Oracle Corporation and its affiliates are not responsible for and expressly disclaim all warranties of any kind with respect to third-party content, products, and services. Oracle Corporation and its affiliates will not be responsible for any loss, costs, or damages incurred due to your access to or use of third-party content, products, or services.","Legal Notices","46576.htm");
var PageCount=38;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="UTF-8" src="dhtml_search.js"></script>\n';
// Result+='<script type="text/javascript" src="styleswitcher.js"></script>\n';
Result+='<!--default -->\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css"  title="default"/>\n';
Result+='<!--alternate -->\n';
Result+='<link rel="alternate stylesheet" disabled="true" type="text/css" href="stylesheetcontrast.css"  title="contrast"/>\n';
Result+='<!--default -->\n';
Result+='<link rel="stylesheet" href="docsstylesheet.css"  type="text/css" title="default"/> \n';
Result+='<!--alternate -->\n';
Result+='<link rel="alternate stylesheet" disabled="true" type="text/css" href="docsstylesheetcontrast.css" title="contrast"/>\n';
Result+="</head>\n";
Result+="<body class='searchcontents' onload='javascript:document.SearchForm.SearchText.focus();if(typeof ondoc() === 'function') {ondoc();}'>\n"; 
Result+='<table class="searchDetails" border="0" cellspacing="0" cellpadding="2" width="100%">\n';
Result+='<tr><td>Enter a keyword or phrase</td></tr>';
Result+='<tr><td>';
Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;Go&nbsp;"/></form>';
Result+='</td></tr></table>\n';

if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='5' class='searchResults' width='100%'>";
   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,FoundWord.bold())+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,FoundWord.bold())+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,FoundWord.bold())+"\n";
                   }
               }
               Result+="</td></tr>";
               break;
           }
       }
   }
   Result+="</table>";
   Result+="<p class='searchDetails'>&nbsp;" + NrRes + " result(s) found.</p>";
}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}